Encore effects
List characters
GET
/
characters
List characters
curl --request GET \
--url https://havincy.com/api/v1/characters \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/characters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/characters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{ "id": 21, "object": "character", "name": "Milo", "notes": "Curious little robot", "image_url": "https://havincy.com/rails/active_storage/blobs/proxy/.../milo.png" }
]
}
Lists the ready Havincy characters of the workspace (reusable visual identities). A character id can replace the photo in Create an Encore video.
Required permission:
read. MCP tool: list_characters.
{
"object": "list",
"data": [
{ "id": 21, "object": "character", "name": "Milo", "notes": "Curious little robot", "image_url": "https://havincy.com/rails/active_storage/blobs/proxy/.../milo.png" }
]
}
⌘I
List characters
curl --request GET \
--url https://havincy.com/api/v1/characters \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://havincy.com/api/v1/characters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://havincy.com/api/v1/characters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"object": "list",
"data": [
{ "id": 21, "object": "character", "name": "Milo", "notes": "Curious little robot", "image_url": "https://havincy.com/rails/active_storage/blobs/proxy/.../milo.png" }
]
}